Bug 1276026 - [abrt] WARNING: CPU: 0 PID: 2921 at drivers/gpu/drm/i915/intel_hdmi.c:56 assert_hdmi_port_disabled+0x4a/0x50 [i915]() [i915]
[abrt] WARNING: CPU: 0 PID: 2921 at drivers/gpu/drm/i915/intel_hdmi.c:56 asse...
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-10-28 08:23 EDT by Môshe van der Sterre
Modified: 2016-07-19 14:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-19 14:21:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: dmesg (210.57 KB, text/plain)
2015-10-28 08:23 EDT, Môshe van der Sterre
no flags Details

  None (edit)
Description Môshe van der Sterre 2015-10-28 08:23:21 EDT
Description of problem:
The warning is reasonably accurate.  I connected both DisplayPort and HDMI to the same mini-DisplayPort on my XPS 13 (2015 version) laptop, using an adapter that provides both.

I think this warning should be gracefully handled/ignored. I don't expect both ports to work in this situation. I didn't even expect the HDMI port to work at all, since the logo on the XPS 13 does not specify DisplayPort++.

Additional info:
reporter:       libreport-2.6.2
WARNING: CPU: 0 PID: 2921 at drivers/gpu/drm/i915/intel_hdmi.c:56 assert_hdmi_port_disabled+0x4a/0x50 [i915]()
HDMI port enabled, expecting disabled
Modules linked in: macvlan nfnetlink_queue nfnetlink_log nfnetlink asix usbnet mii rfcomm fuse ccm cmac xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 iTCO_wdt iwlmvm iTCO_vendor_support intel_rapl dell_wmi sparse_keymap iosf_mbi x86_pkg_temp_thermal mac80211 coretemp kvm_intel vfat fat snd_hda_codec_hdmi kvm dell_led iwlwifi snd_hda_codec_realtek snd_hda_codec_generic
 dell_laptop dcdbas uvcvideo snd_hda_intel snd_hda_controller videobuf2_vmalloc videobuf2_core snd_hda_codec snd_soc_rt286 snd_soc_core snd_compress cfg80211 snd_pcm_dmaengine snd_hda_core snd_hwdep snd_seq videobuf2_memops v4l2_common snd_seq_device videodev btusb btbcm snd_pcm rtsx_pci_ms i2c_i801 btintel media memstick bluetooth snd_timer lpc_ich snd mei_me shpchp rfkill soundcore wmi mei i2c_designware_platform soc_button_array dw_dmac int3403_thermal snd_soc_sst_acpi dw_dmac_core i2c_designware_core int3400_thermal tpm_crb int3402_thermal acpi_thermal_rel processor_thermal_device tpm int340x_thermal_zone acpi_pad nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc dm_crypt hid_multitouch i915 i2c_algo_bit drm_kms_helper rtsx_pci_sdmmc crct10dif_pclmul crc32_pclmul crc32c_intel
 drm ghash_clmulni_intel serio_raw rtsx_pci mfd_core sdhci_acpi sdhci mmc_core video i2c_hid
CPU: 0 PID: 2921 Comm: Xorg Not tainted 4.1.7-200.fc22.x86_64 #1
Hardware name: Dell Inc. XPS 13 9343/09K8G1, BIOS A05 07/14/2015
 0000000000000000 00000000a138469e ffff8800cd4af8e8 ffffffff8179972d
 0000000000000000 ffff8800cd4af940 ffff8800cd4af928 ffffffff810a165a
 ffff8802151a1190 ffff880212f70000 ffff8800d9644000 0000000000060200
Call Trace:
 [<ffffffff8179972d>] dump_stack+0x45/0x57
 [<ffffffff810a165a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff810a16e5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa01be07a>] assert_hdmi_port_disabled+0x4a/0x50 [i915]
 [<ffffffffa01be53a>] hsw_set_infoframes+0x6a/0x100 [i915]
 [<ffffffffa01a9ff8>] intel_ddi_pre_enable+0x1e8/0x2f0 [i915]
 [<ffffffffa018ff8f>] haswell_crtc_enable+0x41f/0xb50 [i915]
 [<ffffffffa018cd92>] __intel_set_mode+0xaa2/0xce0 [i915]
 [<ffffffffa00af43e>] ? drm_atomic_get_crtc_state+0x1e/0xc0 [drm]
 [<ffffffffa01945ff>] intel_crtc_set_config+0xd3f/0x1080 [i915]
 [<ffffffffa009f516>] drm_mode_set_config_internal+0x66/0x100 [drm]
 [<ffffffffa00a3866>] drm_mode_setcrtc+0x366/0x650 [drm]
 [<ffffffffa00939df>] drm_ioctl+0x12f/0x620 [drm]
 [<ffffffffa00a3500>] ? drm_mode_setplane+0x1d0/0x1d0 [drm]
 [<ffffffff810136d6>] ? __switch_to+0x216/0x5d0
 [<ffffffff8123fe06>] do_vfs_ioctl+0x2c6/0x4d0
 [<ffffffff81240091>] SyS_ioctl+0x81/0xa0
 [<ffffffff8179fcee>] system_call_fastpath+0x12/0x71
Comment 1 Môshe van der Sterre 2015-10-28 08:23:30 EDT
Created attachment 1087233 [details]
File: dmesg
Comment 2 Fedora End Of Life 2016-07-19 14:21:39 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.